using UnityEngine;
using System;
using System.Collections.Generic;

public class NobilityMedium01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "A new general must be named to command the troops guarding the eastern post of Calamere. Three men have shown interest in the position: Henry, owner of the richest vineyards of the kingdom; William, a talented knight lord; and Fred, dearest friend of your oldest son.";
    }

    protected override string GetSender()
    {
        return "Lord Amaranth";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Nobility;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Medium;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Choose Henry", 
                new ResponseLetter
                (
                    "Choosing Henry was a dubious decision, sire. I'm not sure if his wealth will be of any use to our armies.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.1f} }
                )
            ),
            new Choice
            (
                "Choose William", 
                new ResponseLetter
                (
                    "Naming William was a wise choice, my lord. Our troops have already begun to grow stronger.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.1f} }
                )
            ),
            new Choice
            (
                "Choose Fred", 
                new ResponseLetter
                (
                    "Nepotism will only get you so far, my liege. The troops needed a real leader.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, +0.1f} }
                )
            )
        };
    }
}